package com.hfkj.service;

import com.hfkj.entity.BsMer;
import com.hfkj.model.BsMerModel;

import java.util.List;
import java.util.Map;

/**
 * @className: BsMerService
 * @author: HuRui
 * @date: 2024/4/24
 **/
public interface BsMerService {

    /**
     * 编辑数据
     * @param mer
     */
    void editData(BsMer mer);

    /**
     * 创建商户
     * @param mer
     */
    void create(BsMerModel mer) throws Exception;

    /**
     * 修改商户
     * @param mer
     */
    void update(BsMerModel mer) throws Exception;

    /**
     * 修改商户
     * @param merNo 商户号
     * @return 新密码
     */
    String resetPwd(String merNo) throws Exception;

    /**
     * 查询商户详情
     * @param merNo 商户号
     * @return
     */
    BsMerModel getDetail(String merNo);
    
    /**
     * @MethodName getDetailById
     * @Description:
     * @param id 
 * @return: com.hfkj.entity.BsMer
     * @Author: Sum1Dream
     * @Date: 2024/7/3 下午5:33
     */
    BsMer getDetailById(Long id);

    /**
     * 查询商户列表
     * @param param
     * @return
     */
    List<BsMer> getList(Map<String,Object> param);


}
